package com.system.oauth.constant.enums;

/**
 *权限类型
 */
public enum PermissionTypeEnum {
    FIRST_LEVEL_MENU(0,"一级菜单"),SECONDARY_MENU(1,"二级菜单"),BUTTON_PERMISSIONS(2,"按钮权限");
    // 成员变量
    private int key;
    private String value;

    public Integer getKey() {
        return key;
    }

    public String getValue() {
        return value;
    }

    // 构造方法
    private PermissionTypeEnum(int key, String value) {

        this.key = key;
        this.value = value;

    }



}
